{
  "description": "ServiceReference holds a reference to Service.legacy.k8s.io",
  "properties": {
    "name": {
      "description": "`name` is the name of the service. Required",
      "type": [
        "string",
        "null"
      ]
    },
    "namespace": {
      "description": "`namespace` is the namespace of the service. Required",
      "type": [
        "string",
        "null"
      ]
    },
    "path": {
      "description": "`path` is an optional URL path which will be sent in any request to this service.",
      "type": [
        "string",
        "null"
      ]
    },
    "port": {
      "description": "If specified, the port on the service that hosting webhook. Default to 443 for backward compatibility. `port` should be a valid port number (1-65535, inclusive).",
      "format": "int32",
      "type": [
        "integer",
        "null"
      ]
    }
  },
  "required": [
    "namespace",
    "name"
  ],
  "type": "object",
  "$schema": "https://json-schema.org/draft/2020-12/schema",
  "$id": "https://kubernetes.io/api/servicereference/admissionregistration/v1"
}